[PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



generic/224 is doing concurrent direct and buffered I/O to the same
set of files, and this triggers some expected warnings on XFS. So
filter out these warnings just like what we did in generic/095 and
generic/247.

Signed-off-by: Eryu Guan <eguan@xxxxxxxxxx>
---
 tests/generic/224 | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/generic/224 b/tests/generic/224
index 2c30a75258f3..29b1c05d06df 100755
--- a/tests/generic/224
+++ b/tests/generic/224
@@ -82,5 +82,14 @@ for i in `seq 0 1 $FILES`; do
 done
 wait
 echo "*** Silence is golden ***"
-status=0
+
+# unmount and check dmesg, filtering out expected XFS warnings about mixed
+# direct and buffered I/O
+_scratch_unmount
+if [ "$FSTYP" == "xfs" ]; then
+	_check_dmesg _filter_xfs_dmesg
+else
+	_check_dmesg
+fi
+status=$?
 exit
-- 
2.13.3

--
To unsubscribe from this list: send the line "unsubscribe linux-xfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [XFS Filesystem Development (older mail)]     [Linux Filesystem Development]     [Linux Audio Users]     [Yosemite Trails]     [Linux Kernel]     [Linux RAID]     [Linux SCSI]


  Powered by Linux